Mad Level Manager

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Enumerations Enumerator Properties Events
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
_NAMESPACE_.MadFreeDraggable Class Reference
Inheritance diagram for _NAMESPACE_.MadFreeDraggable:

## Public Member Functions
void | MoveToLocal (Vector2 position)
void | MoveToLocal (Vector2 position, MadiTween.EaseType easeType, float time)
Public Member Functions inherited from _NAMESPACE_.MadNode
T | CreateChild< T > (string name)
T | CreateChild< T > (string name, T template)
MadNode | CreateChild (string name, GameObject template)
T | FindParent< T > ()

## Public Attributes
Rect | dragArea = new Rect(-200, -200, 400, 400)
Vector2 | dragStartPosition = new Vector2(-200, 200)
bool | scaling = false
float | scalingMax = 2
float | scalingMin = 0.25f
bool | moveEasing = true
bool | scaleEasing = true
MadiTween.EaseType | scaleEasingType = MadiTween.EaseType.easeOutQuad
float | scaleEasingDuration = 0.5f
Public Attributes inherited from _NAMESPACE_.MadDraggable
MadiTween.EaseType | moveEasingType = MadiTween.EaseType.easeOutQuad
float | moveEasingDuration = 0.5f
Public Attributes inherited from _NAMESPACE_.MadNode
bool | managed

## Protected Member Functions
override void | Start ()
override void | Update ()
Protected Member Functions inherited from _NAMESPACE_.MadDraggable
virtual void | OnEnable ()
virtual void | LateUpdate ()
bool | IsTouchingSingle ()
bool | IsTouchingJustStarted ()
Vector2 | TouchPosition ()
void | RegisterDelta (Vector2 delta)
void | Clear ()
Vector2 | Ease (MadiTween.EaseType type, Vector2 start, Vector2 end, float percentage)
Vector3 | Ease (MadiTween.EaseType type, Vector3 start, Vector3 end, float percentage)

## Additional Inherited Members
Protected Attributes inherited from _NAMESPACE_.MadDraggable
Vector2 | lastPosition
Vector2 | interiaForce = Vector2.zero
float | dragDistance
float | deadDistance = 50
Vector2 | cachedCamPos
Vector2 | estaminatedPos
List< Touch > | multiTouches = new List<Touch>()
Properties inherited from _NAMESPACE_.MadDraggable
float | lastTouchTime`[get, set]`
Vector2 | lastTouchCameraPos`[get, set]`
bool | dragging`[get, set]`
Vector2 | cameraPos`[get, set]`
Properties inherited from _NAMESPACE_.MadNode
static bool | Instantiating`[get, set]`

The documentation for this class was generated from the following file:

- Assets/Mad Level Manager/Scripts/Mad2D/MadFreeDraggable.cs